/************************************************************************
*   Stepper.h                                                              *
*************************************************************************/
#ifndef __STEPPER_H__
#define __STEPPER_H__

#define LOOK_UP_TABLE_SIZE	    256
#define SPEED_SCALING_CONST     MIN_TIMER1_COUNT*LOOK_UP_TABLE_SIZE

//////////////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////// Prototypes ////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////

void GetStep(void);
BOOL ReadStepperParameters(void);
void WriteStepperParameters(void);
BOOL ReadStepperTable(void);
void WriteStepperTable(void);
void SetCCPVal(unsigned char, unsigned char);
void StepperInit(void);
void unipolar_interrupt_handler(void);
void bipolar_interrupt_handler(void);
void ReadDefaultStepperTable(const unsigned char* Source);

#endif